Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.binding
Interface BindingFactory

    public interface BindingFactory

A factory interface for creating Bindings from BindingInfo metadata.

Method Summary
`void` | `addListener(Destination d, Endpoint e)` Set the destionation's message observer which is created by using the endpoint to listen the incoming message
`Binding` | `createBinding(BindingInfo binding)` Create a Binding from the BindingInfo metadata.
`BindingInfo` | `createBindingInfo(Service service, java.lang.String namespace, java.lang.Object configObject)` Create a "default" BindingInfo object for the service.

Method Detail

### createBinding

    Binding createBinding(BindingInfo binding)

  Create a Binding from the BindingInfo metadata.

  Parameters:
    `binding` -
  Returns:
    the Binding object

### createBindingInfo

    BindingInfo createBindingInfo(Service service,
                                  java.lang.String namespace,
                                  java.lang.Object configObject)

  Create a "default" BindingInfo object for the service. Can return a subclass.

  Parameters:
    `service` -
    `namespace` -
    `configObject` - - binding specific configuration object
  Returns:
    the BindingInfo object

### addListener

    void addListener(Destination d,
                     Endpoint e)

  Set the destionation's message observer which is created by using the endpoint to listen the incoming message

  Parameters:
    `d` - the destination that will be set the MessageObserver
    `e` - the endpoint to build up the MessageObserver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.